"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@ts-ioc/core");
/**
 * boot.
 *
 * @export
 * @class Boot
 * @implements {IBoot<T>}
 * @template T
 */
class RunnableBase {
    constructor(token, instance, config) {
        this.token = token;
        this.instance = instance;
        this.config = config;
    }
    getTarget() {
        return this.instance;
    }
    getTargetToken() {
        return this.token || core_1.lang.getClass(this.instance);
    }
}
RunnableBase.classAnnations = { "name": "RunnableBase", "params": { "constructor": ["token", "instance", "config"], "getTarget": [], "getTargetToken": [] } };
tslib_1.__decorate([
    core_1.Inject(core_1.ContainerToken),
    tslib_1.__metadata("design:type", Object)
], RunnableBase.prototype, "container", void 0);
exports.RunnableBase = RunnableBase;
/**
 * target is Runnable or not.
 *
 * @export
 * @param {*} target
 * @returns {target is RunnableBase<any>}
 */
function isRunnable(target) {
    if (target instanceof RunnableBase) {
        return true;
    }
    return false;
}
exports.isRunnable = isRunnable;

//# sourceMappingURL=../sourcemaps/runnable/Runnable.js.map
