"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@ts-ioc/core");
const Runnable_1 = require("./Runnable");
/**
 * base service.
 *
 * @export
 * @abstract
 * @class Service
 * @implements {IService}
 */
class Service extends Runnable_1.RunnableBase {
    constructor(token, instance, config) {
        super(token, instance, config);
    }
}
Service.classAnnations = { "name": "Service", "params": { "constructor": ["token", "instance", "config"], "start": ["data"], "stop": [] } };
exports.Service = Service;
/**
 * target is service or not.
 *
 * @export
 * @param {*} target
 * @returns {target is IService<any>}
 */
function isService(target) {
    if (target instanceof Service) {
        return true;
    }
    if (target && core_1.isFunction(target.start)) {
        return true;
    }
    return false;
}
exports.isService = isService;

//# sourceMappingURL=../sourcemaps/runnable/Service.js.map
